CVE-2019-15793

MEDIUM

Description

In shiftfs, a non-upstream patch to the Linux kernel included in the Ubuntu 5.0 and 5.3 kernel series, several locations which shift ids translate user/group ids before performing operations in the lower filesystem were translating them into init_user_ns, whereas they should have been translated into the s_user_ns for the lower filesystem. This resulted in using ids other than the intended ones in the lower fs, which likely did not map into the shifts s_user_ns. A local attacker could use this to possibly bypass discretionary access control permissions.

References

https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/eoan/commit/?id=3644b9d5688da86f18e017c9c580b75cf52927bb

https://usn.ubuntu.com/usn/usn-4183-1

https://usn.ubuntu.com/usn/usn-4184-1

Details

Source: MITRE

Published: 2020-04-24

Updated: 2020-05-01

Type: CWE-276

Risk Information

CVSS v2.0

Base Score: 4.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

Impact Score: 6

Exploitability Score: 2

Severity: HIGH

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
131012Ubuntu 18.04 LTS / 19.04 : Linux kernel vulnerability and regression (USN-4184-2)NessusUbuntu Local Security Checks
high
131011Ubuntu 19.10 : Linux kernel vulnerability (USN-4183-2)NessusUbuntu Local Security Checks
high
130964Ubuntu 18.04 LTS / 19.04 : Linux kernel vulnerabilities (USN-4184-1)NessusUbuntu Local Security Checks
high
130963Ubuntu 19.10 : Linux kernel vulnerabilities (USN-4183-1)NessusUbuntu Local Security Checks
high